CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::Column::InvalidNumberOfRows Class Reference

Exception thrown if user enters a non-positive number for the number of rows to write. More...

`#include <Column.h>`

Inheritance diagram for CCfits::Column::InvalidNumberOfRows:

List of all members.

## Public Member Functions
| InvalidNumberOfRows (int number, bool silent=true)
| Exception ctor, prefixes the string "Fits Error: number of rows to write must be positive " before the specific message.

## Detailed Description

Exception thrown if user enters a non-positive number for the number of rows to write.

## Constructor & Destructor Documentation

CCfits::Column::InvalidNumberOfRows::InvalidNumberOfRows | ( | int | number,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "Fits Error: number of rows to write must be positive " before the specific message.

Parameters:

  number | The number of rows entered.
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- Column.h
- Column.cxx